# Get a Workflow Document Retrieves workflow details of the approvable object. See the Workflows article to find out which documents types can have approval workflows. Available for the following roles: - ADMIN_WO_USER_MGMT (General Admin (without User Management)) - SUPPORT (Investigate for Support) - PRICESHOP_RO (View Quoting) - PB_PRICELISTS_RO (View Price Lists) - PB_PRICEGRIDS_RO (View LPG) - RM_REBATEAGREEMENTS_RO (View Rebate Agreements) - RM_REBATEAGREEMENTS (Manage Rebate Agreements) - RM_REBATERECORDS (Manage Rebate Records) - RM_REBATERECORDS_RO (View Rebate Records) - CONTRACTS_RO (View A&P) - CM_CONTRACTS (Manage A&P) - CLM_CLAIM (Use Claims) - WF_ADMIN (Manage Workflows) - PO_MODELRECORDS_RO (View Policy Records) - PO_MODELRECORDS_APPROVAL (Approve Policy Records) - MODULECATEGORY_MO_RO (View Model in Module Category) - SC_COMPENSATIONS_RO (View Compensation Plans) Endpoint: POST /workflowsmanager.fetchdetailsviaapprovable/{typedId} Security: basic, X-PriceFx-jwt ## Path parameters: - `typedId` (string, required) The typedId of the approvable object you want to retrieve workflow details for. Example: "2147491330.Q" ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.workflow` (object) - `response.data.workflow.typedId` (string) - `response.data.workflow.workflowStatus` (string) - `response.data.workflow.isSelectStepOnDeny` (string) - `response.data.workflow.type` (string) - `response.data.workflow.steps` (array) - `response.data.workflow.steps.reason` (string) - `response.data.workflow.steps.reasons` (array) - `response.data.workflow.steps.isUserApprover` (string) - `response.data.workflow.steps.userGroupNames` (any) - `response.data.workflow.steps.minApprovalsForGroups` (array) - `response.data.workflow.steps.isPostStepLogicFailed` (any) - `response.data.workflow.steps.postStepLogicName` (any) - `response.data.workflow.steps.id` (string) - `response.data.workflow.steps.executedByNames` (array) - `response.data.workflow.steps.userLoginNames` (array) - `response.data.workflow.steps.userGroupTypedId` (any) - `response.data.workflow.steps.approvalRequiredEmailAttachments` (array) - `response.data.workflow.steps.subSteps` (array) - `response.data.workflow.steps.executionStatus` (string) - `response.data.workflow.steps.userTypedIds` (array) - `response.data.workflow.steps.lastAccess` (string) - `response.data.workflow.steps.minApprovalsNeeded` (number) - `response.data.workflow.steps.userName` (string) - `response.data.workflow.steps.delegatedToTypedIds` (array) - `response.data.workflow.steps.userGroupTypedIds` (any) - `response.data.workflow.steps.userTypedId` (string) - `response.data.workflow.steps.uniqueName` (string) - `response.data.workflow.steps.denialReasons` (array) - `response.data.workflow.steps.userGroupName` (any) - `response.data.workflow.steps.isDenialReasonOptional` (string) - `response.data.workflow.steps.userNames` (array) - `response.data.workflow.steps.comment` (any) - `response.data.workflow.steps.mandatoryComments` (array) - `response.data.workflow.approvableTypedId` (string) - `response.data.workflow.currentStepId` (any) - `response.data.workflow.submitReason` (any) - `response.data.workflow.submitterUserName` (string) - `response.data.workflow.submitterTypedId` (string) - `response.data.workflow.isAddStepRestrictedToWFAdmin` (string) - `response.data.resultType` (string) - `response.status` (integer)